/*===========================================================================*/
/*   (Llib/foreign.scm)                                                      */
/*   Bigloo (2.6b)                                                           */
/*   Inria -- Sophia Antipolis (c)       Mon Dec 15 12:14:36 CET 2003        */
/*===========================================================================*/
/* COMPILATION: (/users/serrano/prgm/project/bigloo/bin/bigloo -O3 -mklib -cc gcc-2.95 -fsharing -q -rm -s -unsafev -eval (set! *indent* 4) -copt -DBGL_NO_PIC -g -c Llib/foreign.scm -indent -o objs/obj_s/Llib/foreign.c)*/
/* GC selection */
#define THE_GC BOEHM_GC

/* debug mode */
#define BIGLOO_DEBUG 1

#include <bigloo.h>
#include <signal.h>

static obj_t BGl__voidza2zd2nullzf3z83zz__foreignz00(obj_t, obj_t);
static obj_t BGl__objzd2ze3cobjz31zz__foreignz00(obj_t, obj_t);
BGL_EXPORTED_DECL obj_t BGl_modulezd2initializa7ationz75zz__foreignz00(long, char *);
extern obj_t BGl_modulezd2initializa7ationz75zz__errorz00(long, char *);
extern obj_t BGl_debugzd2errorzf2locationz20zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_foreignzd2nullzf3z21zz__foreignz00(obj_t);
extern obj_t BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(obj_t, obj_t, obj_t, obj_t, obj_t);
static obj_t BGl_requirezd2initializa7ationz75zz__foreignz00 = BUNSPEC;
extern obj_t BGl_errorzf2czd2locationz20zz__errorz00(obj_t, obj_t, obj_t, char *, long);
BGL_EXPORTED_DECL bool_t BGl_foreignzf3zf3zz__foreignz00(obj_t);
extern long obj_to_cobj(obj_t);
static obj_t BGl_cnstzd2initzd2zz__foreignz00();
static obj_t BGl__foreignzd2eqzf3z21zz__foreignz00(obj_t, obj_t, obj_t);
BGL_EXPORTED_DECL bool_t BGl_voidza2zd2nullzf3z83zz__foreignz00(void *);
extern obj_t string_to_symbol(char *);
static obj_t BGl__foreignzf3zf3zz__foreignz00(obj_t, obj_t);
static obj_t BGl_symbol1640z00zz__foreignz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_stringzd2ptrzd2nullzf3zf3zz__foreignz00(char *);
static obj_t BGl_symbol1638z00zz__foreignz00 = BUNSPEC;
static obj_t BGl_symbol1637z00zz__foreignz00 = BUNSPEC;
static obj_t BGl_symbol1636z00zz__foreignz00 = BUNSPEC;
static obj_t BGl_symbol1634z00zz__foreignz00 = BUNSPEC;
static obj_t BGl_symbol1633z00zz__foreignz00 = BUNSPEC;
BGL_EXPORTED_DECL long BGl_objzd2ze3cobjz31zz__foreignz00(obj_t);
static obj_t BGl_symbol1630z00zz__foreignz00 = BUNSPEC;
static obj_t BGl_symbol1627z00zz__foreignz00 = BUNSPEC;
BGL_EXPORTED_DECL bool_t BGl_foreignzd2eqzf3z21zz__foreignz00(obj_t, obj_t);
static obj_t BGl_importedzd2moduleszd2initz00zz__foreignz00();
static obj_t BGl__stringzd2ptrzd2nullzf3zf3zz__foreignz00(obj_t, obj_t);
static obj_t BGl__foreignzd2nullzf3z21zz__foreignz00(obj_t, obj_t);
static obj_t *__cnst;


DEFINE_STRING( BGl_string1635z00zz__foreignz00, BgL_bgl_string1635za700za7za7__foreignza7001651z00, "string", 6 );
DEFINE_STRING( BGl_string1632z00zz__foreignz00, BgL_bgl_string1632za700za7za7__foreignza7001652z00, "not a foreign object", 20 );
DEFINE_STRING( BGl_string1631z00zz__foreignz00, BgL_bgl_string1631za700za7za7__foreignza7001653z00, "foreign-null?", 13 );
DEFINE_STRING( BGl_string1629z00zz__foreignz00, BgL_bgl_string1629za700za7za7__foreignza7001654z00, "/tmp/bigloo/runtime/./Llib/foreign.scm", 38 );
DEFINE_STRING( BGl_string1628z00zz__foreignz00, BgL_bgl_string1628za700za7za7__foreignza7001655z00, "foreign", 7 );
DEFINE_EXPORT_PROCEDURE( BGl_stringzd2ptrzd2nullzf3zd2envz21zz__foreignz00, BgL_bgl__stringza7d2ptrza7d2nullza7f3za7f3za7za7__foreignza7001656za7, BGl__stringzd2ptrzd2nullzf3zf3zz__foreignz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_foreignzf3zd2envz21zz__foreignz00, BgL_bgl__foreignza7f3za7f3za7za7__foreignza7001657za7, BGl__foreignzf3zf3zz__foreignz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_objzd2ze3cobjzd2envze3zz__foreignz00, BgL_bgl__objza7d2za7e3cobjza731za7za7__foreignza7001658z00, BGl__objzd2ze3cobjz31zz__foreignz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_foreignzd2eqzf3zd2envzf3zz__foreignz00, BgL_bgl__foreignza7d2eqza7f3za721za7za7__foreignza7001659z00, BGl__foreignzd2eqzf3z21zz__foreignz00, 0L, 2 );
DEFINE_EXPORT_PROCEDURE( BGl_foreignzd2nullzf3zd2envzf3zz__foreignz00, BgL_bgl__foreignza7d2nullza7f3za721za7za7__foreignza7001660z00, BGl__foreignzd2nullzf3z21zz__foreignz00, 0L, 1 );
DEFINE_EXPORT_PROCEDURE( BGl_voidza2zd2nullzf3zd2envz51zz__foreignz00, BgL_bgl__voidza7a2za7d2nullza7f3za783za7za7__foreignza7001661za7, BGl__voidza2zd2nullzf3z83zz__foreignz00, 0L, 1 );
DEFINE_STRING( BGl_string1639z00zz__foreignz00, BgL_bgl_string1639za700za7za7__foreignza7001662z00, "void*", 5 );



/* module-initialization */
BGL_EXPORTED_DEF obj_t BGl_modulezd2initializa7ationz75zz__foreignz00(long BgL_checksumz00_475, char * BgL_fromz00_476)
{ AN_OBJECT;
{ 
if(
CBOOL(BGl_requirezd2initializa7ationz75zz__foreignz00))
{ 
BGl_requirezd2initializa7ationz75zz__foreignz00 = 
BBOOL(((bool_t)0)); 
BGl_cnstzd2initzd2zz__foreignz00(); 
BGl_importedzd2moduleszd2initz00zz__foreignz00(); 
return BUNSPEC;}  else 
{ 
return BUNSPEC;} } 
}



/* cnst-init */
obj_t BGl_cnstzd2initzd2zz__foreignz00()
{ AN_OBJECT;
{ /* ./Llib/foreign.scm 18 */
BGl_symbol1627z00zz__foreignz00 = 
string_to_symbol("foreign-eq?"); 
BGl_symbol1630z00zz__foreignz00 = 
string_to_symbol("foreign-null?"); 
BGl_symbol1633z00zz__foreignz00 = 
string_to_symbol("string-ptr-null?"); 
BGl_symbol1634z00zz__foreignz00 = 
string_to_symbol("_string-ptr-null?"); 
BGl_symbol1636z00zz__foreignz00 = 
string_to_symbol("obj->cobj"); 
BGl_symbol1637z00zz__foreignz00 = 
string_to_symbol("void*-null?"); 
BGl_symbol1638z00zz__foreignz00 = 
string_to_symbol("_void*-null?"); 
return ( 
BGl_symbol1640z00zz__foreignz00 = 
string_to_symbol("%import@__foreign"), BUNSPEC) ;} 
}



/* foreign? */
BGL_EXPORTED_DEF bool_t BGl_foreignzf3zf3zz__foreignz00(obj_t BgL_objz00_1)
{ AN_OBJECT;
{ /* ./Llib/foreign.scm 78 */
return 
FOREIGNP(BgL_objz00_1);} 
}



/* _foreign? */
obj_t BGl__foreignzf3zf3zz__foreignz00(obj_t BgL_envz00_416, obj_t BgL_objz00_417)
{ AN_OBJECT;
{ /* ./Llib/foreign.scm 78 */
{ /* ./Llib/foreign.scm 79 */
bool_t BgL_auxz00_491;
BgL_auxz00_491 = 
FOREIGNP(BgL_objz00_417); 
return 
BBOOL(BgL_auxz00_491);} } 
}



/* foreign-eq? */
BGL_EXPORTED_DEF bool_t BGl_foreignzd2eqzf3z21zz__foreignz00(obj_t BgL_o1z00_2, obj_t BgL_o2z00_3)
{ AN_OBJECT;
{ /* ./Llib/foreign.scm 84 */
{ /* ./Llib/foreign.scm 85 */
obj_t BgL_symbol1541z00_438;
BgL_symbol1541z00_438 = BGl_symbol1627z00zz__foreignz00; 
{ /* ./Llib/foreign.scm 85 */

PUSH_TRACE(BgL_symbol1541z00_438); BUNSPEC; 
{ /* ./Llib/foreign.scm 85 */
bool_t BgL_aux1540z00_439;
{ /* ./Llib/foreign.scm 85 */
obj_t BgL_auxz00_501;obj_t BgL_auxz00_495;
if(
FOREIGNP(BgL_o2z00_3))
{ /* ./Llib/foreign.scm 85 */
BgL_auxz00_501 = BgL_o2z00_3
; }  else 
{ /* ./Llib/foreign.scm 85 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1627z00zz__foreignz00, BGl_string1628z00zz__foreignz00, BgL_o2z00_3, BGl_string1629z00zz__foreignz00, 
BINT(((long)3745))); 
exit( -1 );} 
if(
FOREIGNP(BgL_o1z00_2))
{ /* ./Llib/foreign.scm 85 */
BgL_auxz00_495 = BgL_o1z00_2
; }  else 
{ /* ./Llib/foreign.scm 85 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1627z00zz__foreignz00, BGl_string1628z00zz__foreignz00, BgL_o1z00_2, BGl_string1629z00zz__foreignz00, 
BINT(((long)3742))); 
exit( -1 );} 
BgL_aux1540z00_439 = 
FOREIGN_EQP(BgL_auxz00_495, BgL_auxz00_501); } 
POP_TRACE(); 
return BgL_aux1540z00_439;} } } } 
}



/* _foreign-eq? */
obj_t BGl__foreignzd2eqzf3z21zz__foreignz00(obj_t BgL_envz00_418, obj_t BgL_o1z00_419, obj_t BgL_o2z00_420)
{ AN_OBJECT;
{ /* ./Llib/foreign.scm 84 */
{ /* ./Llib/foreign.scm 85 */
bool_t BgL_auxz00_509;
{ /* ./Llib/foreign.scm 85 */
bool_t BgL_res1641z00_444;
{ /* ./Llib/foreign.scm 85 */
obj_t BgL_symbol1541z00_442;
BgL_symbol1541z00_442 = BGl_symbol1627z00zz__foreignz00; 
{ /* ./Llib/foreign.scm 85 */

PUSH_TRACE(BgL_symbol1541z00_442); BUNSPEC; 
{ /* ./Llib/foreign.scm 85 */
bool_t BgL_aux1540z00_443;
{ /* ./Llib/foreign.scm 85 */
obj_t BgL_auxz00_517;obj_t BgL_auxz00_511;
if(
FOREIGNP(BgL_o2z00_420))
{ /* ./Llib/foreign.scm 85 */
BgL_auxz00_517 = BgL_o2z00_420
; }  else 
{ /* ./Llib/foreign.scm 85 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1627z00zz__foreignz00, BGl_string1628z00zz__foreignz00, BgL_o2z00_420, BGl_string1629z00zz__foreignz00, 
BINT(((long)3745))); 
exit( -1 );} 
if(
FOREIGNP(BgL_o1z00_419))
{ /* ./Llib/foreign.scm 85 */
BgL_auxz00_511 = BgL_o1z00_419
; }  else 
{ /* ./Llib/foreign.scm 85 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1627z00zz__foreignz00, BGl_string1628z00zz__foreignz00, BgL_o1z00_419, BGl_string1629z00zz__foreignz00, 
BINT(((long)3742))); 
exit( -1 );} 
BgL_aux1540z00_443 = 
FOREIGN_EQP(BgL_auxz00_511, BgL_auxz00_517); } 
POP_TRACE(); 
BgL_res1641z00_444 = BgL_aux1540z00_443; } } } 
BgL_auxz00_509 = BgL_res1641z00_444; } 
return 
BBOOL(BgL_auxz00_509);} } 
}



/* foreign-null? */
BGL_EXPORTED_DEF bool_t BGl_foreignzd2nullzf3z21zz__foreignz00(obj_t BgL_objz00_4)
{ AN_OBJECT;
{ /* ./Llib/foreign.scm 90 */
{ /* ./Llib/foreign.scm 91 */
obj_t BgL_symbol1545z00_445;
BgL_symbol1545z00_445 = BGl_symbol1630z00zz__foreignz00; 
{ /* ./Llib/foreign.scm 91 */

PUSH_TRACE(BgL_symbol1545z00_445); BUNSPEC; 
{ /* ./Llib/foreign.scm 91 */
bool_t BgL_aux1544z00_446;
if(
FOREIGNP(BgL_objz00_4))
{ /* ./Llib/foreign.scm 91 */
BgL_aux1544z00_446 = 
FOREIGN_NULLP(BgL_objz00_4); }  else 
{ /* ./Llib/foreign.scm 91 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string1631z00zz__foreignz00, BGl_string1632z00zz__foreignz00, BgL_objz00_4, "./Llib/foreign.scm", ((long)4065)); 
{ /* ./Llib/foreign.scm 91 */
obj_t BgL_auxz00_531;
BgL_auxz00_531 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string1629z00zz__foreignz00, 
BINT(((long)4010))); 
BgL_aux1544z00_446 = 
CBOOL(BgL_auxz00_531); } } 
POP_TRACE(); 
return BgL_aux1544z00_446;} } } } 
}



/* _foreign-null? */
obj_t BGl__foreignzd2nullzf3z21zz__foreignz00(obj_t BgL_envz00_421, obj_t BgL_objz00_422)
{ AN_OBJECT;
{ /* ./Llib/foreign.scm 90 */
{ /* ./Llib/foreign.scm 91 */
bool_t BgL_auxz00_536;
{ /* ./Llib/foreign.scm 91 */
bool_t BgL_res1642z00_456;
{ /* ./Llib/foreign.scm 91 */
obj_t BgL_symbol1545z00_451;
BgL_symbol1545z00_451 = BGl_symbol1630z00zz__foreignz00; 
{ /* ./Llib/foreign.scm 91 */

PUSH_TRACE(BgL_symbol1545z00_451); BUNSPEC; 
{ /* ./Llib/foreign.scm 91 */
bool_t BgL_aux1544z00_452;
if(
FOREIGNP(BgL_objz00_422))
{ /* ./Llib/foreign.scm 91 */
BgL_aux1544z00_452 = 
FOREIGN_NULLP(BgL_objz00_422); }  else 
{ /* ./Llib/foreign.scm 91 */
BGl_errorzf2czd2locationz20zz__errorz00(BGl_string1631z00zz__foreignz00, BGl_string1632z00zz__foreignz00, BgL_objz00_422, "./Llib/foreign.scm", ((long)4065)); 
{ /* ./Llib/foreign.scm 91 */
obj_t BgL_auxz00_542;
BgL_auxz00_542 = 
BGl_debugzd2errorzf2locationz20zz__errorz00(BFALSE, BFALSE, BFALSE, BGl_string1629z00zz__foreignz00, 
BINT(((long)4010))); 
BgL_aux1544z00_452 = 
CBOOL(BgL_auxz00_542); } } 
POP_TRACE(); 
BgL_res1642z00_456 = BgL_aux1544z00_452; } } } 
BgL_auxz00_536 = BgL_res1642z00_456; } 
return 
BBOOL(BgL_auxz00_536);} } 
}



/* string-ptr-null? */
BGL_EXPORTED_DEF bool_t BGl_stringzd2ptrzd2nullzf3zf3zz__foreignz00(char * BgL_objz00_5)
{ AN_OBJECT;
{ /* ./Llib/foreign.scm 98 */
{ /* ./Llib/foreign.scm 99 */
obj_t BgL_symbol1549z00_457;
BgL_symbol1549z00_457 = BGl_symbol1633z00zz__foreignz00; 
{ /* ./Llib/foreign.scm 99 */

PUSH_TRACE(BgL_symbol1549z00_457); BUNSPEC; 
{ /* ./Llib/foreign.scm 99 */
bool_t BgL_aux1548z00_458;
BgL_aux1548z00_458 = 
STRING_PTR_NULL(BgL_objz00_5); 
POP_TRACE(); 
return BgL_aux1548z00_458;} } } } 
}



/* _string-ptr-null? */
obj_t BGl__stringzd2ptrzd2nullzf3zf3zz__foreignz00(obj_t BgL_envz00_423, obj_t BgL_objz00_424)
{ AN_OBJECT;
{ /* ./Llib/foreign.scm 98 */
{ /* ./Llib/foreign.scm 99 */
bool_t BgL_auxz00_551;
{ /* ./Llib/foreign.scm 99 */
bool_t BgL_res1643z00_462;
{ /* ./Llib/foreign.scm 99 */
char * BgL_objz00_459;
{ /* ./Llib/foreign.scm 99 */
obj_t BgL_auxz00_552;
if(
STRINGP(BgL_objz00_424))
{ /* ./Llib/foreign.scm 99 */
BgL_auxz00_552 = BgL_objz00_424
; }  else 
{ /* ./Llib/foreign.scm 99 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1634z00zz__foreignz00, BGl_string1635z00zz__foreignz00, BgL_objz00_424, BGl_string1629z00zz__foreignz00, 
BINT(((long)4390))); 
exit( -1 );} 
BgL_objz00_459 = 
BSTRING_TO_STRING(BgL_auxz00_552); } 
{ /* ./Llib/foreign.scm 99 */
obj_t BgL_symbol1549z00_460;
BgL_symbol1549z00_460 = BGl_symbol1633z00zz__foreignz00; 
{ /* ./Llib/foreign.scm 99 */

PUSH_TRACE(BgL_symbol1549z00_460); BUNSPEC; 
{ /* ./Llib/foreign.scm 99 */
bool_t BgL_aux1548z00_461;
BgL_aux1548z00_461 = 
STRING_PTR_NULL(BgL_objz00_459); 
POP_TRACE(); 
BgL_res1643z00_462 = BgL_aux1548z00_461; } } } } 
BgL_auxz00_551 = BgL_res1643z00_462; } 
return 
BBOOL(BgL_auxz00_551);} } 
}



/* obj->cobj */
BGL_EXPORTED_DEF long BGl_objzd2ze3cobjz31zz__foreignz00(obj_t BgL_objz00_6)
{ AN_OBJECT;
{ /* ./Llib/foreign.scm 104 */
{ /* ./Llib/foreign.scm 105 */
obj_t BgL_symbol1553z00_463;
BgL_symbol1553z00_463 = BGl_symbol1636z00zz__foreignz00; 
{ /* ./Llib/foreign.scm 105 */

PUSH_TRACE(BgL_symbol1553z00_463); BUNSPEC; 
{ /* ./Llib/foreign.scm 105 */
long BgL_aux1552z00_464;
BgL_aux1552z00_464 = 
obj_to_cobj(BgL_objz00_6); 
POP_TRACE(); 
return BgL_aux1552z00_464;} } } } 
}



/* _obj->cobj */
obj_t BGl__objzd2ze3cobjz31zz__foreignz00(obj_t BgL_envz00_425, obj_t BgL_objz00_426)
{ AN_OBJECT;
{ /* ./Llib/foreign.scm 104 */
{ /* ./Llib/foreign.scm 105 */
long BgL_auxz00_566;
{ /* ./Llib/foreign.scm 105 */
long BgL_res1644z00_468;
{ /* ./Llib/foreign.scm 105 */
obj_t BgL_symbol1553z00_466;
BgL_symbol1553z00_466 = BGl_symbol1636z00zz__foreignz00; 
{ /* ./Llib/foreign.scm 105 */

PUSH_TRACE(BgL_symbol1553z00_466); BUNSPEC; 
{ /* ./Llib/foreign.scm 105 */
long BgL_aux1552z00_467;
BgL_aux1552z00_467 = 
obj_to_cobj(BgL_objz00_426); 
POP_TRACE(); 
BgL_res1644z00_468 = BgL_aux1552z00_467; } } } 
BgL_auxz00_566 = BgL_res1644z00_468; } 
return 
(obj_t)(BgL_auxz00_566);} } 
}



/* void*-null? */
BGL_EXPORTED_DEF bool_t BGl_voidza2zd2nullzf3z83zz__foreignz00(void * BgL_objz00_7)
{ AN_OBJECT;
{ /* ./Llib/foreign.scm 110 */
{ /* ./Llib/foreign.scm 111 */
obj_t BgL_symbol1557z00_469;
BgL_symbol1557z00_469 = BGl_symbol1637z00zz__foreignz00; 
{ /* ./Llib/foreign.scm 111 */

PUSH_TRACE(BgL_symbol1557z00_469); BUNSPEC; 
{ /* ./Llib/foreign.scm 111 */
bool_t BgL_aux1556z00_470;
BgL_aux1556z00_470 = 
FOREIGN_PTR_NULL(BgL_objz00_7); 
POP_TRACE(); 
return BgL_aux1556z00_470;} } } } 
}



/* _void*-null? */
obj_t BGl__voidza2zd2nullzf3z83zz__foreignz00(obj_t BgL_envz00_427, obj_t BgL_objz00_428)
{ AN_OBJECT;
{ /* ./Llib/foreign.scm 110 */
{ /* ./Llib/foreign.scm 111 */
bool_t BgL_auxz00_574;
{ /* ./Llib/foreign.scm 111 */
bool_t BgL_res1645z00_474;
{ /* ./Llib/foreign.scm 111 */
void * BgL_objz00_471;
if(
FOREIGNP(BgL_objz00_428))
{ /* ./Llib/foreign.scm 111 */
BgL_objz00_471 = 
FOREIGN_TO_COBJ(BgL_objz00_428); }  else 
{ /* ./Llib/foreign.scm 111 */
BGl_bigloozd2typezd2errorzf2locationzf2zz__errorz00(BGl_symbol1638z00zz__foreignz00, BGl_string1639z00zz__foreignz00, BgL_objz00_428, BGl_string1629z00zz__foreignz00, 
BINT(((long)4958))); 
exit( -1 );} 
{ /* ./Llib/foreign.scm 111 */
obj_t BgL_symbol1557z00_472;
BgL_symbol1557z00_472 = BGl_symbol1637z00zz__foreignz00; 
{ /* ./Llib/foreign.scm 111 */

PUSH_TRACE(BgL_symbol1557z00_472); BUNSPEC; 
{ /* ./Llib/foreign.scm 111 */
bool_t BgL_aux1556z00_473;
BgL_aux1556z00_473 = 
FOREIGN_PTR_NULL(BgL_objz00_471); 
POP_TRACE(); 
BgL_res1645z00_474 = BgL_aux1556z00_473; } } } } 
BgL_auxz00_574 = BgL_res1645z00_474; } 
return 
BBOOL(BgL_auxz00_574);} } 
}



/* imported-modules-init */
obj_t BGl_importedzd2moduleszd2initz00zz__foreignz00()
{ AN_OBJECT;
{ /* ./Llib/foreign.scm 18 */
{ /* ./Llib/foreign.scm 18 */
obj_t BgL_symbol1561z00_414;
BgL_symbol1561z00_414 = BGl_symbol1640z00zz__foreignz00; 
{ /* ./Llib/foreign.scm 18 */

PUSH_TRACE(BgL_symbol1561z00_414); BUNSPEC; 
{ /* ./Llib/foreign.scm 18 */
obj_t BgL_aux1560z00_415;
BgL_aux1560z00_415 = 
BGl_modulezd2initializa7ationz75zz__errorz00(((long)11084), "__foreign"); 
POP_TRACE(); 
return BgL_aux1560z00_415;} } } } 
}

